package com.ruoyi.interfaces.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.interfaces.domain.PtServiceLog;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtServiceLogMapper extends BaseMapper<PtServiceLog> {

    List<PtServiceLog> selectAll();

    PtServiceLog selectByPrimaryKey(String rid);

    int deleteByPrimaryKey(String rid);

    int updateByPrimaryKeySelective(PtServiceLog record);

    //int insertSelective(PtServiceLog record);

    //int updateByPrimaryKeyWithBLOBs(PtServiceLog record);

    //int updateByPrimaryKey(PtServiceLog record);

    List<PtServiceLog> statAllToday();

    List<PtServiceLog> statAppThree();

    List<PtServiceLog> statAppWeek();

    List<PtServiceLog> statAll();

    List<PtServiceLog> statDayByAppId(String appId);


    List<PtServiceLog> statSrvAllToday();

    List<PtServiceLog> statSrvThree();

    List<PtServiceLog> statSrvWeek();

    List<PtServiceLog> statSrvAll();

    List<PtServiceLog> statDayBySrvId(String srvId);

    List<PtServiceLog> selectByFactor(PtServiceLog ptServiceLog);

}
